--- old/usr/src/uts/common/vm/vm_seg.c	2015-11-24 09:34:49.404887727 -0500
+++ new/usr/src/uts/common/vm/vm_seg.c	2015-11-24 09:34:49.408700332 -0500
@@ -1637,7 +1637,7 @@
 /*
  * Unmap a segment and free it from its associated address space.
  * This should be called by anybody who's finished with a whole segment's
- * mapping.  Just calls SEGOP_UNMAP() on the whole mapping .  It is the
+ * mapping.  Just calls segop_unmap() on the whole mapping .  It is the
  * responsibility of the segment driver to unlink the the segment
  * from the address space, and to free public and private data structures
  * associated with the segment.  (This is typically done by a call to
@@ -1657,10 +1657,10 @@
 
 	/* Unmap the whole mapping */
 #ifdef DEBUG
-	ret = SEGOP_UNMAP(seg, seg->s_base, seg->s_size);
+	ret = segop_unmap(seg, seg->s_base, seg->s_size);
 	ASSERT(ret == 0);
 #else
-	SEGOP_UNMAP(seg, seg->s_base, seg->s_size);
+	(void) segop_unmap(seg, seg->s_base, seg->s_size);
 #endif /* DEBUG */
 }
 
@@ -1686,7 +1686,7 @@
 	 * then segment driver is not attached yet.
 	 */
 	if (seg->s_data != NULL)
-		SEGOP_FREE(seg);
+		segop_free(seg);
 
 	mutex_destroy(&seg->s_pmtx);
 	ASSERT(seg->s_phead.p_lnext == &seg->s_phead);
@@ -1855,7 +1855,7 @@
 }
 
 /*
- * General not supported function for SEGOP_INHERIT
+ * General not supported function for segop_inherit
  */
 /* ARGSUSED */
 int
